### Method

# WebKit WebResource get_data

#### Declaration [src]

    void
    webkit_web_resource_get_data (
      WebKitWebResource* resource,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get the raw data for `resource`.

When the operation is finished, `callback` will be called. You can then call `webkit_web_resource_get_data_finish()` to get the result of the operation.

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the request is satisfied.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.